//--------------------------------------------------
//Headerfile: Studentenverwaltung.h
//Beschreibung: Studentendatenbank OOP
//Autor:  Harald Bucher, ITIV
//Erstellt: 20.06.2014
//Version: 1.0
//--------------------------------------------------

#ifndef STUDDATABASE_H
#define STUDDATABASE_H

#include "student.h"
#include <list>

class Studentenverwaltung {
private:
    list<Student> studentenliste;

public:
    void addStudent(const string& vorname, const string& name, int matr, double note);
    void deleteStudent(list<Student>::iterator it);
    list<Student>::iterator findStudent(const string& name);
    list<Student>::iterator findStudent(const string& vorname, const string& name);
    list<Student>::iterator findStudent(int matrikel);
    void printStudent(list<Student>::iterator it) const;
    void print();
};

#endif
