//--------------------------------------------------
//Headerfile: translator.h
//Beschreibung: Translator OOP
//Autor:  Harald Bucher, ITIV
//Erstellt: 20.06.2014
//Version: 1.1 (Bucher)
//--------------------------------------------------

#ifndef TRANSLATOR_H
#define TRANSLATOR_H

#include "dictionary.h"

class Translator {
public:
    Translator(string _filename);
    ~Translator();
    void menu();
    void save();
private:
    string filename;
    Dictionary* myDictionary;
    void search();
};

#endif // TRANSLATOR_H
